Skip to main content
POST
/
ai
/
actor-projects
/
{project_id}
/
board
/
items
/
{item_id}
/
journal
Append board item journal entry
curl --request POST \
  --url https://api.wacht.dev/ai/actor-projects/{project_id}/board/items/{item_id}/journal \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "summary": "<string>",
  "details": null,
  "body_markdown": "<string>",
  "attachments": {}
}
'
{
  "id": "<string>",
  "board_item_id": "<string>",
  "thread_id": "<string>",
  "execution_run_id": "<string>",
  "event_type": "<string>",
  "summary": "<string>",
  "body_markdown": "<string>",
  "details": {},
  "created_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Path Parameters

project_id
string
required
item_id
string
required

Body

application/json
summary
string
required
details
unknown
body_markdown
string | null
attachments
object

Response

200 - application/json

Journal event

id
string
board_item_id
string
thread_id
string | null
execution_run_id
string | null
event_type
string
summary
string
body_markdown
string | null
details
object
created_at
string<date-time>